di//
// Copyright (C) 1991 Texas Instruments Incorporated.
//
// Permission is granted to any individual or institution to use, copy, modify,
// and distribute this software, provided that this complete copyright and
// permission notice is maintained, intact, in all copies and supporting
// documentation.
//
// Texas Instruments Incorporated provides this software "as is" without
// express or implied warranty.
//

#include <test.h>
#include <cool/List.h>
#include <cool/Vector.h>

DECLARE List<int>;
IMPLEMENT List<int>;

DECLARE List<double>;
IMPLEMENT List<double>;

DECLARE List<char*>;
IMPLEMENT List<char*>;

DECLARE List<char>;
IMPLEMENT List<char>;

DECLARE Vector<int>;
IMPLEMENT Vector<int>;

extern void test_list_int();
extern void test_list_double();
extern void test_list_chars();
extern void test_list_vector();
extern void test_list_list();
extern void test_list_generic();

int main (void) {

  START("LIST");
  test_list_int();
  test_list_double();
  test_list_chars();
  test_list_vector();
  test_list_list();
  test_list_generic();
  SUMMARY();
  return 0;
}

